pragma solidity >=0.6.12;

// Author:	Louis Holbrook <dev@holbrook.no> 0826EDA1702D1E87C6E2875121D2E7BB88C2A746
// SPDX-License-Identifier:	GPL-3.0-or-later
// File-version: 2



interface AccountRegistry {
	event AccountAdded(address indexed addedAccount, uint256 indexed accountIndex);

	function accounts(uint256 _idx) external view returns (address);
	function accountsIndex(address _account) external view returns (uint256);
	function count() external view returns (uint256);
	function addWriter(address _writer) external returns (bool);
	function deleteWriter(address _writer) external returns (bool);
	function add(address _account) external returns (bool);
	function have(address _account) external view returns (bool);
}
